{
  "swagger": "2.0",
  "info": {
    "description": "The Absence Management service enables:\n\n* Accessing worker information about leaves of absence and time off details.\n* Requesting time off and leaves of absence.",
    "version": "v5",
    "title": "absenceManagement",
    "x-workday-confidence-level": "Production",
    "x-workday-internal-source": "xo",
    "x-workday-internal-routing": "Public",
    "x-workday-internal-protected-usage-enabled": false,
    "x-workday-internal-service-container-id": "f7b74eb21dea10001af392117b2b03c8"
  },
  "host": "<tenantHostname>",
  "basePath": "/absenceManagement/v5",
  "tags": [
    {
      "name": "balances",
      "description": "Provides the ability to get absence plan and leave of absence balances."
    },
    {
      "name": "workers",
      "description": "Retrieves absence management information about workers and allows the requesting of time off.\n\nThis endpoint and its subresources can be referenced with either an ID or the \"me\" named entry.\n* Referencing a specific worker: /workers/{ID}/...\n* Referencing the current user using the named entry: /workers/me/..."
    },
    {
      "name": "Prompt Values",
      "description": "Retrieves instances that can be used as values for other endpoint parameters in this service."
    }
  ],
  "schemes": [
    "https"
  ],
  "paths": {
    "/workers/{ID}/leavesOfAbsence/{subresourceID}": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves the leave of absence for the specified worker.",
        "description": "Retrieves information about the leave of absence for the worker with the specified ID.\n\n<b>Secured By Domain:</b> Self-Service: Leave of Absence, Worker Data: Leave of Absence\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Request_Leave_of_Absence_ID, Request_Leave_of_Absence_Case_Number",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Request_Leave_of_Absence_ID|Request_Leave_of_Absence_Case_Number)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/leavesOfAbsenceView_43bb5714be2d10001634f7c14f620000"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-confidence-level": "Production",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "43bb5714be2d1000161baf69e56f0000",
        "x-workday-secured-by-domains": [
          "Self-Service: Leave of Absence",
          "Worker Data: Leave of Absence"
        ]
      }
    },
    "/values/leave/status/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "The status of the event that tracks the requested time off.",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "true"
      },
      "parameters": [
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        }
      ]
    },
    "/workers/{ID}/correctTimeOffEntry": {
      "post": {
        "tags": [
          "workers"
        ],
        "summary": "Creates a time off correction for the specified worker ID and initiates the business process.",
        "description": "Creates a time off correction for the specified worker ID and initiates the Correct Time Off business process. \n \nIn the request body, if using business process parameters, specify at least the required field: action {id}. You must specify the submit action WID: d9e4223e446c11de98360015c5e6daf6\n\n<b>Secured By Business Process Type:</b> Correct Time Off\n\n<b>Scope:</b> Time Off and Leave\n\nContains attachment(s)",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "in": "body",
            "name": "jsonData",
            "required": true,
            "schema": {
              "$ref": "#/definitions/correctTimeOffEventView_db70b83ce44510000e82df4b23b10014"
            },
            "x-workday-multipart-root-part-name": "jsonData"
          },
          {
            "name": "wd-warning-action",
            "in": "header",
            "description": "Optional header wd-warning-action: When set to updateonwarning, the client accepts persisting data when only warning-level validations are present. Validations occur before any persistence. If the header is passed and only warnings are present, the client can proceed to persist; the success response (200/201) then includes an **errors** array with those warning validations (the warnings are not persisted) and the created/updated resource. Critical validations still block.",
            "required": false,
            "type": "string",
            "enum": [
              "updateonwarning"
            ]
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.\n\n**Two possible success responses:**\n1. **No warning validations:** Standard success response (resource only).\n2. **With warning validations:** When the client sends **wd-warning-action: updateonwarning**, validations run before any persistence. If only warning-level validations are present, the client can choose to proceed; data is then persisted and the success response includes an **errors** array with those warning validations (the warnings are not persisted). Critical validations still block. (PUT, PATCH, POST only.)",
            "schema": {
              "$ref": "#/definitions/correctTimeOffEventView_db70b83ce44510000e82df4b23b10014"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A165 | The attachment category is invalid for this business process. |\n| Critical | A175 | The file is required. |\n| Critical | A178 | The business process has already been initiated. |\n| Critical | A200 | You can't comment on this business process type. |\n| Critical | A205 | You don't have the security permission on this business process to add attachments. |\n| Critical | A206 | Attachments are not enabled for this business process. |\n| Critical | A207 | You've exceeded the attachment file size limit of [tenant setup attachment limit]KB. |\n| Critical | A211 | The attachment category is required. |\n| Critical | A219 | The business process action isn't valid. |\n| Critical | A221 | The attachment category isn't enabled for this business process. |\n| Critical | A228 | [customer event validation message] |\n| Critical | A1008 | Some of the start and end times you're trying to submit overlap with start and end times for an existing time off request on the same date(s). Edit your start and end times so that they don't overlap. |\n| Critical | A1010 | All time off entries must belong to the same Worker. |\n| Critical | A1011 | You don't have a sufficient balance or aren't eligible to satisfy the request for [type] as of [date]. |\n| Critical | A1012 | Requires End Time |\n| Critical | A1015 | [correct absence REST API max unpaid critical time off error message] |\n| Critical | A1016 | Enter an hourly or daily quantity that is greater than zero. |\n| Critical | A1017 | Daily Quantity is required and must have a value. |\n| Critical | A1018 | [absence Correct TO REST API increment critical time off error message] |\n| Critical | A1020 | The correction can't have a Total Hourly or Daily Quantity of zero. To delete an approved entry, set the delete attribute to True. |\n| Critical | A1021 | [REST Validation Message - Time Off Reason Not Valid for Time Off] |\n| Critical | A1022 | [correct absence REST API max critical time off error message] |\n| Critical | A1025 | [absence REST API consecutive day minimum critical time off error message] |\n| Critical | A1028 | Some of the start and end times you're trying to submit overlap with existing time blocks. Edit your start and end times so that they don't overlap. |\n| Critical | A1029 | Enter an End Time that is after the Start Time. |\n| Critical | A1034 | Requires Start Time |\n| Critical | A1035 | Ensure that all of the time off entries that you correct come from the same time off request event. |\n| Critical | A1036 | [REST Validation Message - Time Off Reason Required But Not Provided] |\n| Critical | A1043 | [REST Validation Message - Time Off Reason Not Enabled for Time Off] |\n| Critical | A1045 | [correct absence REST API min critical time off error message] |\n| Critical | A1046 | Start Time and End Time are optional for [Correct Time Off Type]. Enter both values or neither. |\n| Critical | A1047 | The dates for the Start and End fields must match the Date field: [correct date]. |\n| Critical | A1049 | Ensure that all time off entries that you correct are approved and that there are no pending corrections. |\n| Critical | A1051 | The time off request for [dates] has already been canceled. |\n| Critical | A2685 | Specify a start and end date range that’s less than 24 hours. |\n| Critical | A2687 | The date for the Start field must match the Date field: [correct date]. |\n| Critical | A3157 | You can't update a time off entry that uses an inactive worktag. |\n| Critical | A3287 | No changes detected. To correct the time off request, update at least 1 field. |\n| Critical | A3291 | You must have the delegation permission to initiate this event. Ensure that you have all the required permissions and configuration for this action. |\n| Critical | A3316 | The Time Off Entry you are trying to adjust has already been corrected. Please use the corrected entry to make further adjustments. |\n| Critical | - | To submit multiple Corrected Entry fields in the same correction request, ensure that each Corrected Entry field has a unique ID. |\n| Warning | A228 | [customer event warning validation message] |\n| Warning | A1006 | [correct absence REST API max unpaid warning time off error message] |\n| Warning | A1007 | [absence REST API consecutive day minimum warning time off error message] |\n| Warning | A1014 | [correct absence REST API min warning time off error message] |\n| Warning | A1023 | [absence Correct TO REST API increment warning time off error message] |\n| Warning | A1040 | [correct absence REST API max warning time off error message] |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-multipart-root-part-name": "jsonData",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "5e771cd632ee1000080ad54148e2157f",
        "x-workday-secured-by-business-process-types": [
          "Correct Time Off"
        ]
      }
    },
    "/balances/{ID}": {
      "get": {
        "tags": [
          "balances"
        ],
        "summary": "Retrieves the specified balance of all absence plan and leave of absence types.",
        "description": "Retrieves the specified balance of all absence plan and leave of absence types for the specified balance ID. You can use a returned id from GET /balances.\n\n<b>Secured By Domain:</b> Self-Service: Leave of Absence Entitlements, Self-Service: Time Off Balances, Worker Data: Leave of Absence, Worker Data: Time Off (Time Off Balances Manager View), Worker Data: Time Off (Time Off Balances)\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Leave_of_Absence_Type_ID, Event_Classification_Subcategory_ID, Workday_Absence_Plan_ID, Absence_Plan_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Leave_of_Absence_Type_ID|Event_Classification_Subcategory_ID|Workday_Absence_Plan_ID|Absence_Plan_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/absenceBalanceView_842800d7bb021000741e5d56eac70162"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "842800d7bb0210006a09e472785f010b",
        "x-workday-secured-by-domains": [
          "Self-Service: Leave of Absence Entitlements",
          "Self-Service: Time Off Balances",
          "Worker Data: Leave of Absence",
          "Worker Data: Time Off (Time Off Balances Manager View)",
          "Worker Data: Time Off (Time Off Balances)"
        ]
      }
    },
    "/values/timeOff/status/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "The possible statuses for a worker's time off entry request event. They include:\n* Approved, 0391102bd1b542538d996936c8fa2fa7\n* Not Submitted, eddf5968e6d4430ca4bce9a4cfaba337\n* Sent Back, 070b249867f747a19bca64f73eafc9b8\n* Submitted, dd817fe688db4ac7bf84e3ef79f72948",
        "produces": [
          "application/json"
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/MULTIPLE_INSTANCE_MODEL_REFERENCE"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "true"
      },
      "parameters": [
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "required": false,
          "type": "integer",
          "format": "int64"
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "required": false,
          "type": "string"
        }
      ]
    },
    "/workers/{ID}/eligibleAbsenceTypes": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a collection of eligible absence types for the specified worker.",
        "description": "Retrieves all the eligible absence types for the specified worker ID for a category type. If you don't specify a query parameter, this will get all time off types, absence tables, and leave types a worker is eligible for.\n\nSpecify the category to filter the result based on absence type.\n\n<b>Secured By Domain:</b> FLW Service\n\n<b>Secured By Business Process Type:</b> Request Leave of Absence, Request Time Off\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "category",
            "in": "query",
            "description": "The Workday ID of the absence type category. Valid values:\n* Leave of Absence Type: 17bd6531c90c100016d74f8dfae007d0 \n\n* Absence Table: 17bd6531c90c100016da3f5b554007d2\n\n* Time Off: 17bd6531c90c100016d4b06f2b8a07ce",
            "required": false,
            "type": "array",
            "items": {
              "type": "string"
            },
            "collectionFormat": "multi"
          },
          {
            "name": "effective",
            "in": "query",
            "description": "The effective date for which eligible absence types need to be returned for the worker.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/eligibleAbsenceTypeView_4100eb9364bf100005260cb771840174"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "dcdafc12f16d10001bf33f405ed90000",
        "x-workday-secured-by-domains": [
          "FLW Service"
        ],
        "x-workday-secured-by-business-process-types": [
          "Request Leave of Absence",
          "Request Time Off"
        ]
      }
    },
    "/workers/{ID}/leavesOfAbsence": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves the Leaves Of Absence for a specified worker ID.",
        "description": "Retrieves Leaves Of Absence for a specified worker ID for a date range, status, and type. If you don't specify query parameters, this method returns all Leaves Of Absence.\n\nIf you specify a date range, this method returns Leaves Of Absence events based on First Day Of Leave, Estimated Last Day Of Leave, and Actual Last Day Of Leave. The Actual Last Day Of Leave is used only if the Request Return from Leave business process is completed, else the Actual Last Day Of Leave is assumed to be blank. In particular, this method:\n\n* Returns an event if the Actual Last Day Of Leave is blank and the Estimated Last Day Of Leave is in the past but before the fromDate or toDate parameters.\n\n* Does not return an event if the Actual Last Day Of Leave is blank and the Estimated Last Day Of Leave is in the future but before the fromDate or toDate parameters.\n\n<b>Secured By Domain:</b> Self-Service: Leave of Absence, Worker Data: Leave of Absence\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "fromDate",
            "in": "query",
            "description": "The start of a date range filter using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "leaveType",
            "in": "query",
            "description": "The Workday ID of the type of leave of absence. You can specify multiple leaveType query parameters.",
            "required": false,
            "type": "array",
            "items": {
              "type": "string"
            },
            "collectionFormat": "multi"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "status",
            "in": "query",
            "description": "The Workday ID of the status of the leave of absence. The valid statuses are Successfully Completed, In Progress, Canceled, Rescinded, and Process Terminated. To get valid values, call the GET /values/leave/status endpoint. You can specify multiple status query parameters.",
            "required": false,
            "type": "array",
            "items": {
              "type": "string"
            },
            "collectionFormat": "multi"
          },
          {
            "name": "toDate",
            "in": "query",
            "description": "The end of a date range filter using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/leavesOfAbsenceView_43bb5714be2d10001634f7c14f620000"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-confidence-level": "Production",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "43bb5714be2d1000161baf69e56f0000",
        "x-workday-secured-by-domains": [
          "Self-Service: Leave of Absence",
          "Worker Data: Leave of Absence"
        ]
      }
    },
    "/balances": {
      "get": {
        "tags": [
          "balances"
        ],
        "summary": "Retrieves the balance of all absence plan and leave of absence type for the specified worker ID.",
        "description": "Retrieves the balance of all absence plan and leave of absence type for the specified worker ID.\nYou can filter the balances by category, effective date, and worker.\nSpecify category to filter the result based on absence type.\n\nThere are 3 category types:\n\n* Leave of Absence Type, 17bd6531c90c100016d74f8dfae007d0 \n\n* Absence Table, 17bd6531c90c100016da3f5b554007d2\n\n* Time Off, 7bd6531c90c100016d4b06f2b8a07ce\n\n<b>Secured By Domain:</b> Self-Service: Leave of Absence Entitlements, Self-Service: Time Off Balances, Worker Data: Leave of Absence, Worker Data: Time Off (Time Off Balances Manager View), Worker Data: Time Off (Time Off Balances)\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "category",
            "in": "query",
            "description": "The Workday ID of the time off, leave type, or absence table.",
            "required": false,
            "type": "string"
          },
          {
            "name": "effective",
            "in": "query",
            "description": "The absence balances as of the specified date using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "worker",
            "in": "query",
            "description": "The Workday ID of the worker for which balances are returned. This is a required query parameter.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/absenceBalanceView_842800d7bb021000741e5d56eac70162"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "842800d7bb0210006a09e472785f010b",
        "x-workday-secured-by-domains": [
          "Self-Service: Leave of Absence Entitlements",
          "Self-Service: Time Off Balances",
          "Worker Data: Leave of Absence",
          "Worker Data: Time Off (Time Off Balances Manager View)",
          "Worker Data: Time Off (Time Off Balances)"
        ]
      }
    },
    "/workers/{ID}/requestTimeOff": {
      "post": {
        "tags": [
          "workers"
        ],
        "summary": "Creates a time off request for the specified worker ID and initiates the business process.",
        "description": "Use this to create a time off request for the specified worker ID and initiate the Request Time Off business process. \n\nRequesting time off is a multistep process. To do so, call these endpoints:\n1. GET /workers/{worker ID}/eligibleAbsenceTypes\n2. GET /workers/{worker ID}/validTimeOffDates?timeOff={Time Off Type ID from step 1}&date={first date requested off}&date={second date requested off}\n3. POST /workers/{worker ID}/requestTimeOff {...}\n\nIf you specify businessProcessParameters in the request body:\n* You must specify action.id.\n* To submit the event, specify action.id as Submitted, d9e4223e446c11de98360015c5e6daf6.\n\nExample:\n{\n    \"businessProcessParameters\": {\n        \"action\": {\n            \"id\": \"d9e4223e446c11de98360015c5e6daf6\"\n        }\n    },\n    \"days\": [ ... ]\n}\n\n<b>Secured By Domain:</b> FLW Service\n\n<b>Secured By Business Process Type:</b> Request Time Off\n\n<b>Scope:</b> Time Off and Leave\n\nContains attachment(s)",
        "consumes": [
          "multipart/form-data"
        ],
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "in": "body",
            "name": "jsonData",
            "required": true,
            "schema": {
              "$ref": "#/definitions/timeOffRequestEventView_842800d7bb021000779558096f1a01d2"
            },
            "x-workday-multipart-root-part-name": "jsonData"
          },
          {
            "name": "wd-warning-action",
            "in": "header",
            "description": "Optional header wd-warning-action: When set to updateonwarning, the client accepts persisting data when only warning-level validations are present. Validations occur before any persistence. If the header is passed and only warnings are present, the client can proceed to persist; the success response (200/201) then includes an **errors** array with those warning validations (the warnings are not persisted) and the created/updated resource. Critical validations still block.",
            "required": false,
            "type": "string",
            "enum": [
              "updateonwarning"
            ]
          }
        ],
        "responses": {
          "201": {
            "description": "Resource created.\n\n**Two possible success responses:**\n1. **No warning validations:** Standard success response (resource only).\n2. **With warning validations:** When the client sends **wd-warning-action: updateonwarning**, validations run before any persistence. If only warning-level validations are present, the client can choose to proceed; data is then persisted and the success response includes an **errors** array with those warning validations (the warnings are not persisted). Critical validations still block. (PUT, PATCH, POST only.)",
            "schema": {
              "$ref": "#/definitions/timeOffRequestEventView_842800d7bb021000779558096f1a01d2"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n| Severity | Error Code | Validation Message |\n --- | --- | --- |\n| Critical | A165 | The attachment category is invalid for this business process. |\n| Critical | A175 | The file is required. |\n| Critical | A178 | The business process has already been initiated. |\n| Critical | A200 | You can't comment on this business process type. |\n| Critical | A205 | You don't have the security permission on this business process to add attachments. |\n| Critical | A206 | Attachments are not enabled for this business process. |\n| Critical | A207 | You've exceeded the attachment file size limit of [tenant setup attachment limit]KB. |\n| Critical | A211 | The attachment category is required. |\n| Critical | A219 | The business process action isn't valid. |\n| Critical | A221 | The attachment category isn't enabled for this business process. |\n| Critical | A228 | [customer event validation message] |\n| Critical | A1008 | Some of the start and end times you're trying to submit overlap with start and end times for an existing time off request on the same date(s). Edit your start and end times so that they don't overlap. |\n| Critical | A1009 | Type is required and must have a value. |\n| Critical | A1011 | You don't have a sufficient balance or aren't eligible to satisfy the request for [type] as of [date]. |\n| Critical | A1012 | Requires End Time |\n| Critical | A1015 | [absence REST API max unpaid critical time off error message] |\n| Critical | A1016 | Enter an hourly or daily quantity that is greater than zero. |\n| Critical | A1017 | Daily Quantity is required and must have a value. |\n| Critical | A1018 | [absence REST API increment critical time off error message] |\n| Critical | A1020 | The request can't have a Total Hourly or Daily Quantity of zero. |\n| Critical | A1021 | [REST Validation Message - Time Off Reason Not Valid for Time Off] |\n| Critical | A1022 | [absence REST API max critical time off error message] |\n| Critical | A1025 | [absence REST API consecutive day minimum critical time off error message] |\n| Critical | A1026 | [REST Validation Message - Position Not Eligible for Time Off Type] |\n| Critical | A1027 | [absence REST API consecutive day maximum critical time off error message] |\n| Critical | A1028 | Some of the start and end times you're trying to submit overlap with existing time blocks. Edit your start and end times so that they don't overlap. |\n| Critical | A1029 | Enter an End Time that is after the Start Time. |\n| Critical | A1030 | [REST Validation Message - Position Provided for Worker Based Time Off] |\n| Critical | A1033 | [REST Validation Message - Invalid Days Included] |\n| Critical | A1034 | Requires Start Time |\n| Critical | A1036 | [REST Validation Message - Time Off Reason Required But Not Provided] |\n| Critical | A1038 | Date is required and must have a value. |\n| Critical | A1041 | [REST Validation Message - Worker Not Eligible for Time Off Type] |\n| Critical | A1042 | [absence REST API multiple time offs critical time off error message] |\n| Critical | A1043 | [REST Validation Message - Time Off Reason Not Enabled for Time Off] |\n| Critical | A1044 | When the Time Off Type is an Absence Table, ensure that the Position field is blank. |\n| Critical | A1045 | [absence REST API min critical time off error message] |\n| Critical | A1046 | Start Time and End Time are optional for [Time Off Type]. Enter both values or neither. |\n| Critical | A1047 | The dates for the Start and End fields must match the Date field: [date]. |\n| Critical | A1048 | Your request includes days that aren't allowed for [Time Off Type]. To include the invalid days, provide a different Time Off Type. Otherwise, enter valid dates. |\n| Critical | A1050 | [REST Validation Message - Position Needed for Position Based/Required Time Off] |\n| Critical | A1052 | [absence REST API beyond last override critical time off error message] |\n| Critical | A1509 | [REST Validation Message - Time Off Type with Sell Time Off Checked] |\n| Critical | A1726 | [REST Validation Message - Position Needed for Position Based/Required Absence Type] |\n| Critical | A1727 | To request time off for a worker against a worker-based absence table, ensure that the Position field is blank. |\n| Critical | A1790 | [REST Validation Message - Position Not Eligible for Absence Type] |\n| Critical | A2658 | [REST Validation Message - Time Off Type with Forfeiture Adjustment Checked] |\n| Critical | A2663 | [REST Validation Message - Time Off Type with Worktag Configured] |\n| Critical | A2685 | Specify a start and end date range that’s less than 24 hours. |\n| Critical | A2687 | The date for the Start field must match the Date field: [date]. |\n| Critical | A3291 | You must have the delegation permission to initiate this event. Ensure that you have all the required permissions and configuration for this action. |\n| Warning | A228 | [customer event warning validation message] |\n| Warning | A1006 | [absence REST API max unpaid warning time off error message] |\n| Warning | A1007 | [absence REST API consecutive day minimum warning time off error message] |\n| Warning | A1014 | [absence REST API min warning time off error message] |\n| Warning | A1019 | [absence REST API multiple time offs warning time off error message] |\n| Warning | A1023 | [absence REST API increment warning time off error message] |\n| Warning | A1037 | [absence REST API beyond last override warning time off error message] |\n| Warning | A1039 | [absence REST API consecutive day maximum warning time off error message] |\n| Warning | A1040 | [absence REST API max warning time off error message] |",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-multipart-root-part-name": "jsonData",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "3c80ffc327bd10002256f972871a002a",
        "x-workday-secured-by-domains": [
          "FLW Service"
        ],
        "x-workday-secured-by-business-process-types": [
          "Request Time Off"
        ]
      }
    },
    "/workers/{ID}": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a collection of workers and current staffing information.",
        "description": "Retrieves a collection of workers and current staffing information.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Current Staffing Information, Worker Data: Public Worker Reports\n\n<b>Scope:</b> Staffing",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/workerData_c2466b0778c610000d1936006720000e"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "c2466b0778c610000cdf9abc4fbc000c",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Current Staffing Information",
          "Worker Data: Public Worker Reports"
        ]
      }
    },
    "/workers/{ID}/timeOffDetails/{subresourceID}": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves details of a specified time off entry for a specified worker.",
        "description": "Retrieves details of the time off entry with the specified ID for the specified worker ID.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Time Off, Worker Data: Time Off (Time Off Manager View), Worker Data: Time Off (Time Off)\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Time_Off_Entry_ID",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Time_Off_Entry_ID)=\\S+)$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/timeOffDetailsView_8154239388f210001f7d7955e7350000"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-confidence-level": "Production",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "8154239388f210001f002a2d398b0000",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Time Off",
          "Worker Data: Time Off (Time Off Manager View)",
          "Worker Data: Time Off (Time Off)"
        ]
      }
    },
    "/workers/{ID}/timeOffDetails": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a collection of time off details for a specified worker.",
        "description": "Retrieves the time off entries for the specified worker ID. You can filter by date range, status, and type. If you don't specify query parameters, this method returns all time off entries.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Time Off, Worker Data: Time Off (Time Off Manager View), Worker Data: Time Off (Time Off)\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "fromDate",
            "in": "query",
            "description": "The start of a date range filter using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "status",
            "in": "query",
            "description": "The Workday ID of the time off status. You can specify multiple status query parameters. This method returns the most recent instance of a time off entry based on this query parameter. \n\nThe valid statuses are Approved, Submitted, Not Submitted, and Sent Back. This method does not return Canceled and Denied Time Off Entries. To get the Workday ID of a status, call the GET /values/timeOff/status endpoint. You can specify multiple status query parameters.\n\nExample:\nAn approved Time Off Entry for Vacation 8 hours was corrected to Vacation 4 hours and is not in submitted status. If the query parameter is status = approved, the Time Off Entry of Vacation, 8 hours, Approved is returned. If query parameter status = submitted, the Time Off Entry of Vacation, 4 hours, Submitted is returned. If no query parameter is passed, the Time Off Entry of Vacation, 4 hours, Submitted is returned.",
            "required": false,
            "type": "array",
            "items": {
              "type": "string"
            },
            "collectionFormat": "multi"
          },
          {
            "name": "timeOffType",
            "in": "query",
            "description": "The Workday ID of the Time Off Type. You can specify multiple timeOffType query parameters.",
            "required": false,
            "type": "array",
            "items": {
              "type": "string"
            },
            "collectionFormat": "multi"
          },
          {
            "name": "toDate",
            "in": "query",
            "description": "The end of a date range filter using the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/timeOffDetailsView_8154239388f210001f7d7955e7350000"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-confidence-level": "Production",
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "8154239388f210001f002a2d398b0000",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Time Off",
          "Worker Data: Time Off (Time Off Manager View)",
          "Worker Data: Time Off (Time Off)"
        ]
      }
    },
    "/workers/{ID}/validTimeOffDates": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves the valid time off dates for the specified worker ID for the given dates.",
        "description": "Retrieves the valid time off dates for a specified worker ID for any given dates. You can specify position, timeOffType, and date in the query parameter. The date query parameter supports multiple dates.\n\n<b>Secured By Business Process Type:</b> Request Time Off\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "date",
            "in": "query",
            "description": "The dates being requested for which to validate. It should be in the yyyy-mm-dd format.",
            "required": false,
            "type": "string",
            "format": "date"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "position",
            "in": "query",
            "description": "The Workday ID of the position.",
            "required": false,
            "type": "string"
          },
          {
            "name": "timeOff",
            "in": "query",
            "description": "The Workday ID of the time off.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/dailyQuantityView_842800d7bb02100079a568e53e1001e2"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "3c80ffc327bd100011f30d28271d001a",
        "x-workday-secured-by-business-process-types": [
          "Request Time Off"
        ]
      }
    },
    "/workers": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a collection of workers and current staffing information.",
        "description": "Retrieves a collection of workers and current staffing information.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Current Staffing Information, Worker Data: Public Worker Reports\n\n<b>Scope:</b> Staffing",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "filterByOrgVisibility",
            "in": "query",
            "description": "Only return workers whose supervisory organizations are visible to the processing user.  This requires the 'Enable Restrictions on Worker Prompts Based on Supervisory Org Visibility Settings' setting to be enabled in Edit Tenant Setup - System.",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "includeTerminatedWorkers",
            "in": "query",
            "description": "Include terminated workers in the output",
            "required": false,
            "type": "boolean"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "type": "integer",
            "format": "int64"
          },
          {
            "name": "search",
            "in": "query",
            "description": "Searches workers by name or worker ID. The search is case-insensitive. You can include space-delimited search strings for an OR search.",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "type": "object",
              "properties": {
                "total": {
                  "type": "integer",
                  "format": "int64"
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/workerData_c2466b0778c610000d1936006720000e"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "c2466b0778c610000cdf9abc4fbc000c",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Current Staffing Information",
          "Worker Data: Public Worker Reports"
        ]
      }
    },
    "/workers/{ID}/eligibleAbsenceTypes/{subresourceID}": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves the eligible absence type for the specified worker.",
        "description": "Retrieves the eligible absence type with the subresource ID for the specified worker.\n\n<b>Secured By Domain:</b> FLW Service\n\n<b>Secured By Business Process Type:</b> Request Leave of Absence, Request Time Off\n\n<b>Scope:</b> Time Off and Leave",
        "produces": [
          "application/json"
        ],
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32}|(Employee_ID|Contingent_Worker_ID)=\\S+|me)$"
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "type": "string",
            "pattern": "^([0-9a-f]{32})$"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "schema": {
              "$ref": "#/definitions/eligibleAbsenceTypeView_4100eb9364bf100005260cb771840174"
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "schema": {
              "$ref": "#/definitions/VALIDATION_ERROR_MODEL_REFERENCE"
            }
          },
          "default": {
            "description": "An error occurred.",
            "schema": {
              "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "dcdafc12f16d10001bf33f405ed90000",
        "x-workday-secured-by-domains": [
          "FLW Service"
        ],
        "x-workday-secured-by-business-process-types": [
          "Request Leave of Absence",
          "Request Time Off"
        ]
      }
    }
  },
  "securityDefinitions": {
    "OAuth2": {
      "type": "oauth2",
      "authorizationUrl": "https://<tenantAuthorizationHostname>",
      "flow": "implicit"
    }
  },
  "definitions": {
    "INSTANCE_MODEL_REFERENCE": {
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "type": "string",
          "description": "Workday Id or Reference Id of the instance.",
          "pattern": "^(([0-9a-f]{32})|(\\S+=\\S+))$"
        },
        "descriptor": {
          "type": "string",
          "description": "The display name of the instance",
          "readOnly": true
        },
        "href": {
          "type": "string",
          "description": "A link to the instance",
          "readOnly": true
        }
      }
    },
    "ERROR_MODEL_REFERENCE": {
      "type": "object",
      "required": [
        "error"
      ],
      "properties": {
        "error": {
          "type": "string",
          "description": "A description of the error"
        },
        "code": {
          "type": "string",
          "description": "The code that corresponds to the error message. Use the error code to drive programmatic error-handling behavior. Don't use error message strings for this purpose because they are subject to change"
        },
        "field": {
          "type": "string",
          "description": "The field related to the error"
        },
        "path": {
          "type": "string",
          "description": "The path of the field related to the error"
        },
        "severity": {
          "type": "string",
          "description": "Severity of the validation (e.g. Critical, Warning)."
        },
        "internalMessage": {
          "type": "string",
          "description": "Internal message providing additional context for the validation (e.g. representation content validation details)."
        }
      }
    },
    "VALIDATION_ERROR_MODEL_REFERENCE": {
      "allOf": [
        {
          "type": "object",
          "required": [
            "error"
          ],
          "properties": {
            "error": {
              "type": "string",
              "description": "A description of the error"
            },
            "errors": {
              "type": "array",
              "description": "An array of validation errors",
              "items": {
                "$ref": "#/definitions/ERROR_MODEL_REFERENCE"
              }
            }
          }
        }
      ]
    },
    "FACETS_MODEL_REFERENCE": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "This object represents the possible facets for this resource",
        "readOnly": true,
        "properties": {
          "descriptor": {
            "type": "string",
            "description": "A description of the facet"
          },
          "facetParameter": {
            "type": "string",
            "description": "The alias used to select the facet"
          },
          "values": {
            "type": "array",
            "description": "the facet values",
            "items": {
              "type": "object",
              "properties": {
                "count": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The number of instances returned by this facet"
                },
                "id": {
                  "type": "string",
                  "description": "Workday Id or Reference Id of the instance.",
                  "pattern": "^(([0-9a-f]{32})|(\\S+=\\S+))$"
                },
                "descriptor": {
                  "type": "string",
                  "description": "A description of the facet"
                },
                "href": {
                  "type": "string",
                  "description": "A link to the instance",
                  "readOnly": true
                }
              },
              "required": [
                "id"
              ]
            }
          }
        }
      }
    },
    "MULTIPLE_INSTANCE_MODEL_REFERENCE": {
      "type": "object",
      "properties": {
        "total": {
          "type": "integer"
        },
        "data": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
          }
        }
      }
    },
    "WorkdayId": {
      "type": "string",
      "pattern": "^[0-9a-f]{32}$",
      "description": "Workday ID (32-character lowercase hexadecimal string).",
      "example": "a3f5b554007d20e98360015c5e6daf6"
    },
    "WorkdayReferenceId_balances": {
      "type": "string",
      "pattern": "^(Leave_of_Absence_Type_ID|Event_Classification_Subcategory_ID|Workday_Absence_Plan_ID|Absence_Plan_ID)=\\S+$",
      "description": "Workday reference ID (Type=Value). Valid types: Leave_of_Absence_Type_ID, Event_Classification_Subcategory_ID, Workday_Absence_Plan_ID, Absence_Plan_ID",
      "example": "Leave_of_Absence_Type_ID=21002"
    },
    "ResourceIdPathValue_balances": {},
    "category_842800d7bb021000741e5daca7f30165": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The category which indicates time off plan, absence table or leave of absence type."
    },
    "worker_842800d7bb021000741e5d990f7f0163": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The worker that requested the time off or leave of absence."
    },
    "position_842800d7bb021000741e5dc388120168": {
      "allOf": [
        {
          "$ref": "#/definitions/positionView_842800d7bb0210007490d990d3d4016e"
        },
        {}
      ],
      "description": "The worker's position for the time off or leave of absence."
    },
    "unit_842800d7bb021000741e5dd38905016a": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The unit of time for the time off or leave type."
    },
    "absencePlan_842800d7bb021000741e5da4f0be0164": {
      "allOf": [
        {
          "$ref": "#/definitions/absenceContainerViewForBalance_842800d7bb02100074bee44d44390170"
        },
        {}
      ],
      "description": "The time off, absence table or leave type for which the balance is returned."
    },
    "absenceBalanceView_842800d7bb021000741e5d56eac70162": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "category": {
              "$ref": "#/definitions/category_842800d7bb021000741e5daca7f30165"
            },
            "effectiveDate": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The date for which the balance is returned.",
              "x-workday-type": "Date"
            },
            "worker": {
              "$ref": "#/definitions/worker_842800d7bb021000741e5d990f7f0163"
            },
            "position": {
              "$ref": "#/definitions/position_842800d7bb021000741e5dc388120168"
            },
            "unit": {
              "$ref": "#/definitions/unit_842800d7bb021000741e5dd38905016a"
            },
            "absencePlan": {
              "$ref": "#/definitions/absencePlan_842800d7bb021000741e5da4f0be0164"
            },
            "quantity": {
              "type": "number",
              "example": 100000000000,
              "description": "The balance for the time off, absence table or leave type.",
              "x-workday-type": "Numeric"
            },
            "dateOfFirstAbsence": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The first day of leave for the corresponding leave type for which the balance is returned.",
              "x-workday-type": "Date"
            }
          }
        }
      ]
    },
    "NamedEntry_workers": {
      "type": "string",
      "description": "Named entry alias",
      "enum": [
        "me"
      ]
    },
    "WorkdayReferenceId_workers": {
      "type": "string",
      "pattern": "^(Employee_ID|Contingent_Worker_ID)=\\S+$",
      "description": "Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID",
      "example": "Employee_ID=21002"
    },
    "ResourceIdPathValue_workers": {},
    "workerType_3f78eeedc01d1000138d97d80e5a0000": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "Retrieves the employee type or contingent worker type for the worker."
    },
    "primaryJob_352c3a97ecd51000353cba144c5b0042": {
      "allOf": [
        {
          "$ref": "#/definitions/jobDataForWorker_b8ac205877fd10000ea91719a02a00a2"
        },
        {}
      ],
      "description": "The worker's primary job."
    },
    "person_0ad147648b0a1000237bd486634a001a": {
      "allOf": [
        {
          "$ref": "#/definitions/personDataView_be343791f59d100028d6a277ca8a0017"
        },
        {}
      ],
      "description": "Person for the Worker"
    },
    "workerData_c2466b0778c610000d1936006720000e": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "additionalJobs": {
              "type": "array",
              "description": "The employee’s additional jobs and international assignments.",
              "items": {
                "$ref": "#/definitions/additionalJobs_352c3a97ecd51000353cba4ccc1c0043"
              },
              "x-workday-type": "Multi-instance"
            },
            "workerType": {
              "$ref": "#/definitions/workerType_3f78eeedc01d1000138d97d80e5a0000"
            },
            "primaryJob": {
              "$ref": "#/definitions/primaryJob_352c3a97ecd51000353cba144c5b0042"
            },
            "person": {
              "$ref": "#/definitions/person_0ad147648b0a1000237bd486634a001a"
            },
            "workerId": {
              "type": "string",
              "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
              "description": "The Employee ID or Contingent Worker ID for the worker.",
              "x-workday-type": "Text"
            },
            "descriptor": {
              "type": "string",
              "example": "Lorem ipsum dolor sit ame",
              "description": "The display name of the instance"
            },
            "id": {
              "type": "string",
              "description": "Workday Id or Reference Id of the instance."
            }
          }
        }
      ]
    },
    "WorkdayReferenceId_timeOffDetails": {
      "type": "string",
      "pattern": "^(Time_Off_Entry_ID)=\\S+$",
      "description": "Workday reference ID (Type=Value). Valid types: Time_Off_Entry_ID",
      "example": "Time_Off_Entry_ID=21002"
    },
    "ResourceIdPathValue_timeOffDetails": {},
    "timeOffType_e4fed8dc649110000837a54912c717ff": {
      "allOf": [
        {
          "$ref": "#/definitions/coordinatedTimeOffTypeView_c0636befe813100027300e99d009917e"
        },
        {}
      ],
      "description": "The time off type name or absence table name for the time off entry."
    },
    "status_37fdf44d56f6100011c6ab4d0c5400ec": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Status of the Time Off Entry.\n\nThe valid Time Off Entry Statuses are Approved, Submitted, Not Submitted, and Sent Back."
    },
    "unit_e46cfd73e9d31000278eea758ff702aa": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Unit of the Time Off Entry. The valid Units are Hours and Days."
    },
    "worker_e46cfd73e9d310002778bbb1ed0202a7": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The context \\~Worker\\~ of the Time Off Entry."
    },
    "position_37fdf44d56f6100011e170fd8e2d00ef": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Position of the Time Off Entry."
    },
    "timeOffEventId_a4b33001f26710001f38086e5f900000": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The WID of the Time Off Event for the Time Off Entry."
    },
    "reason_37fdf44d56f6100011267c9f346f00df": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The reason for the time off entry."
    },
    "timeOffDetailsView_8154239388f210001f7d7955e7350000": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "timeOffType": {
              "$ref": "#/definitions/timeOffType_e4fed8dc649110000837a54912c717ff"
            },
            "status": {
              "$ref": "#/definitions/status_37fdf44d56f6100011c6ab4d0c5400ec"
            },
            "date": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The Date of the Time Off Entry using the format yyyy-mm-dd.",
              "x-workday-type": "Date"
            },
            "unit": {
              "$ref": "#/definitions/unit_e46cfd73e9d31000278eea758ff702aa"
            },
            "worktags": {
              "type": "array",
              "description": "The worktags associated with the time off entry.",
              "items": {
                "$ref": "#/definitions/worktags_4a497a495bdf10001c4a914baf6e0000"
              },
              "x-workday-type": "Multi-instance",
              "x-workday-confidence-level": "Production"
            },
            "worker": {
              "$ref": "#/definitions/worker_e46cfd73e9d310002778bbb1ed0202a7"
            },
            "timeOffEntryId": {
              "type": "string",
              "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
              "description": "The WID of the Time Off Entry for the Worker.",
              "maxLength": 36,
              "x-workday-type": "Text",
              "x-workday-confidence-level": "Production"
            },
            "position": {
              "$ref": "#/definitions/position_37fdf44d56f6100011e170fd8e2d00ef"
            },
            "timeOffEventId": {
              "$ref": "#/definitions/timeOffEventId_a4b33001f26710001f38086e5f900000"
            },
            "comment": {
              "type": "string",
              "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
              "description": "The comment on the time off entry.",
              "x-workday-type": "Text"
            },
            "reason": {
              "$ref": "#/definitions/reason_37fdf44d56f6100011267c9f346f00df"
            },
            "quantity": {
              "type": "number",
              "example": 100000000000,
              "description": "The Quantity of the Time Off Entry in the units specified by the Unit response field.",
              "x-workday-type": "Numeric"
            }
          }
        }
      ]
    },
    "unit_842800d7bb02100079a568fee1ad01e5": {
      "allOf": [
        {
          "$ref": "#/definitions/unitOfTimeView_842800d7bb02100079a1a864029501e0"
        },
        {}
      ],
      "description": "The unit of time in hours or days."
    },
    "dailyQuantityView_842800d7bb02100079a568e53e1001e2": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "unit": {
              "$ref": "#/definitions/unit_842800d7bb02100079a568fee1ad01e5"
            },
            "dailyDefaultQuantity": {
              "type": "number",
              "example": 999999.999999,
              "description": "The daily default quantity configured on the Time Off Plan or as an override on the Time Off.",
              "x-workday-type": "Numeric"
            },
            "date": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The dates of the time off entry.",
              "x-workday-type": "Date"
            }
          }
        }
      ]
    },
    "WorkdayReferenceId_leavesOfAbsence": {
      "type": "string",
      "pattern": "^(Request_Leave_of_Absence_ID|Request_Leave_of_Absence_Case_Number)=\\S+$",
      "description": "Workday reference ID (Type=Value). Valid types: Request_Leave_of_Absence_ID, Request_Leave_of_Absence_Case_Number",
      "example": "Request_Leave_of_Absence_ID=21002"
    },
    "ResourceIdPathValue_leavesOfAbsence": {},
    "reason_e044f9b8309d10001cd88898483a00eb": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Reason of the Leave Of Absence."
    },
    "worker_e044f9b8309d10001cd8888990c100e9": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The context \\~Worker\\~ of the Leave Of Absence."
    },
    "leaveImpactFields_a4550baaf8f110000e53f3b6473200cb": {
      "allOf": [
        {
          "$ref": "#/definitions/leaveImpactFieldsLeavesOfAbsenceView_a4550baaf8f110000e99f258486100cd"
        },
        {}
      ],
      "description": "Current Leave Request Event."
    },
    "position_e044f9b8309d10001cd8895e9f0500ed": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Position of the Leave Of Absence."
    },
    "priorLeaveEvent_e044f9b8309d10001cd88882ba8600e8": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "If true, the Leave Of Absence event is linked to a prior leave event."
    },
    "status_e044f9b8309d10001cd8887c062300e7": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Status of the Leave Of Absence."
    },
    "leaveType_e044f9b8309d10001cd8889f738e00ec": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The Leave Type of the Leave Of Absence."
    },
    "leavesOfAbsenceView_43bb5714be2d10001634f7c14f620000": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "businessProcessStepStatus": {
              "type": "string",
              "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
              "description": "The Business Process Step Status of the Leave Of Absence.",
              "x-workday-type": "Text"
            },
            "reason": {
              "$ref": "#/definitions/reason_e044f9b8309d10001cd88898483a00eb"
            },
            "actualLastDayOfLeave": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The Actual Last Day Of Work for the Leave Of Absence using the yyyy-mm-dd format.",
              "x-workday-type": "Date"
            },
            "latestLeaveComment": {
              "type": "string",
              "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
              "description": "The Latest Leave Comment of the Leave Of Absence.",
              "x-workday-type": "Text"
            },
            "worker": {
              "$ref": "#/definitions/worker_e044f9b8309d10001cd8888990c100e9"
            },
            "estimatedLastDayOfLeave": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The Estimated Last Day Of Leave of the Leave Of Absence using the yyyy-mm-dd format.",
              "x-workday-type": "Date"
            },
            "lastDayOfWork": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The Last Day Of Work of the Leave Of Absence using the yyyy-mm-dd format.",
              "x-workday-type": "Date"
            },
            "leaveImpactFields": {
              "$ref": "#/definitions/leaveImpactFields_a4550baaf8f110000e53f3b6473200cb"
            },
            "position": {
              "$ref": "#/definitions/position_e044f9b8309d10001cd8895e9f0500ed"
            },
            "additionalFields": {
              "type": "array",
              "description": "Retrieves the additional fields details for the leave of absence request event.",
              "items": {
                "$ref": "#/definitions/additionalFields_43bb5714be2d100016961884a2340000"
              },
              "x-workday-type": "Multi-instance",
              "x-workday-confidence-level": "Production"
            },
            "priorLeaveEvent": {
              "$ref": "#/definitions/priorLeaveEvent_e044f9b8309d10001cd88882ba8600e8"
            },
            "status": {
              "$ref": "#/definitions/status_e044f9b8309d10001cd8887c062300e7"
            },
            "firstDayOfLeave": {
              "type": "string",
              "format": "date",
              "example": "2026-09-19T07:00:00.000Z",
              "description": "The First Day Of Leave of the Leave Of Absence using the yyyy-mm-dd format.",
              "x-workday-type": "Date"
            },
            "leaveType": {
              "$ref": "#/definitions/leaveType_e044f9b8309d10001cd8889f738e00ec"
            },
            "id": {
              "type": "string",
              "description": "Workday Id or Reference Id of the instance."
            }
          }
        }
      ]
    },
    "ResourceIdPathValue_eligibleAbsenceTypes": {},
    "unitOfTime_4100eb9364bf100005260dbcfdfc0183": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The unit of time for this absence type. Possible values: * Hours, c4dacbd56bca4a9a8950e8d3ed21bbdb * Days, 4d9c0a4936614375aa5e97b6223625f2 * Months, 39c1b2453f2046838a7c0c8f6c46e053"
    },
    "category_4100eb9364bf100005260d6890590177": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The absence type category. Possible values: * Time Off, 17bd6531c90c100016d4b06f2b8a07ce * Leave of Absence Type, 17bd6531c90c100016d74f8dfae007d0 * Absence Table, 17bd6531c90c100016da3f5b554007d2"
    },
    "absenceTypeGroup_4100eb9364bf100005260d5e93040176": {
      "allOf": [
        {
          "$ref": "#/definitions/absenceTypeGroupView_4100eb9364bf100005caee6e687c018b"
        },
        {}
      ],
      "description": "The absence type group for the absence type."
    },
    "entryOption_4100eb9364bf100005260d9147eb017d": {
      "allOf": [
        {
          "$ref": "#/definitions/INSTANCE_MODEL_REFERENCE"
        },
        {}
      ],
      "description": "The entry option for the time off. Possible values: \n* Enter through time off only\n\n* Enter through time tracking only\n\n* Enter through time tracking or time off"
    },
    "eligibleAbsenceTypeView_4100eb9364bf100005260cb771840174": {
      "allOf": [
        {
          "type": "object",
          "properties": {
            "unitOfTime": {
              "$ref": "#/definitions/unitOfTime_4100eb9364bf100005260dbcfdfc0183"
            },
            "positionBased": {
              "type": "boolean",
              "example": true,
              "description": "If true, the time off type or leave type is position based.",
              "x-workday-type": "Boolean"
            },
            "position": {
              "type": "array",
[...]
